#include <stdlib.h>
#include <stdio.h>

const unsigned int ARRAY_SIZE = 0x500000;

void populate_array(int* array, unsigned int elements)
{
	for(unsigned int i=0 ; i<elements ; i++)
	{
		array[i] = random();
	}
}

int average_array(int* array, unsigned int elements)
{
	long long total = 0;
	for(unsigned int i=0 ; i<elements ; i++)
	{
		total += array[i];
	}
	return total / elements;
}

int main(void)
{
	int * array = calloc(ARRAY_SIZE, sizeof(int));
	populate_array(array, ARRAY_SIZE);
	printf("Average: %d\n", average_array(array, ARRAY_SIZE));
	return 0;
}
