#include <stdlib.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/mman.h>
#include <unistd.h>

int main(void)
{
	//Shared memory region:
	int * anInt = mmap(0,sizeof(int), PROT_READ | PROT_WRITE, MAP_SHARED | MAP_ANON, -1,0);
	*anInt = 0;
	pid_t pid = fork();
	if(pid == 0)
	{
		printf("Child setting anInt to 1\n");
		*anInt = 1;
		return 0;
	}
	int childVal;
	wait(&childVal);
	printf("anInt is %d in parent\n", *anInt);
	return 0;
}
